package cn.com.ty.lift.business.library.dao.entity.model;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/30
 * @description 项目下电梯请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectLiftRequest extends BaseRequestModel {
    /**
     * 公司ID
     */
    @NotNull(message = "notEmpty")
    private Long companyId;
    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long projectId;
}
